| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value > Struct Template Reference

`#include <generic_container.h>`

List of all members.

## Static Public Member Functions
static long | size (const Container &t)
static void | clear (Container &t)
static void | reserve (Container &t, long l)
static type_item | createItem ()
static void | insertItem (Container &t, type_item &item)
static type_iterator | end (Container &t)
static type_iterator | begin (Container &t, type_item &item)
static type_iterator | next (Container &t, type_iterator itr, type_item &item)

## Detailed Description

### template<typename Container, typename Key, typename Value>
struct qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >

Definition at line 200 of file generic_container.h.

## Member Function Documentation

template<typename Container, typename Key, typename Value>

static type_iterator qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::begin | ( | Container & | t,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 212 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static void qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::clear | ( | Container & | t | ) | `[inline, static]`

Definition at line 206 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static type_item qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::createItem | ( |  | ) | `[inline, static]`

Definition at line 208 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static type_iterator qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::end | ( | Container & | t | ) | `[inline, static]`

Definition at line 210 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static void qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::insertItem | ( | Container & | t,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 209 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static type_iterator qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::next | ( | Container & | t,
|  | type_iterator | itr,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 215 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static void qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::reserve | ( | Container & | t,
|  | long | l
| ) |  | `[inline, static]`

Definition at line 207 of file generic_container.h.

template<typename Container, typename Key, typename Value>

static long qx::trait::detail::generic_container_base_key_value_std_style< Container, Key, Value >::size | ( | const Container & | t | ) | `[inline, static]`

Definition at line 205 of file generic_container.h.

The documentation for this struct was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/generic_container.h